Important: Before you deploy Exchange Server 2010 please validate if you require Exchange 2003 or Exchange 2007 in your environment as you cannot install these previous versions of Exchange unless you have installed them PRIOR to installing Exchange 2010. Once Exchange 2010 is installed, any previous versions of Exchange that have not already been installed cannot be installed after the fact.

What are scenarios that I would need to install previous versions of Exchange Server prior to Exchange Server 2010?

There are certain cases where our tools or 3rd party tools/software does not yet or will not work with Exchange Server 2010. In these scenarios, you may need to install a previous version of Exchange Server such and 2003 or 2007 to coincide with Exchange Server 2010. 

What are some Microsoft tools that do not work with Exchange Server 2010?

If you need to migrate from Lotus Domino and want to leverage our Transporter Suite Migration Tools you’ll need an Exchange 2007 server installed since there will be no version for Exchange Server 2010. Grab the tool here.  There are 3rd party migration tools that work with Exchange 2010 as well.

Another scenario would be if you want to migrate from GroupWise and want to leverage our GroupWise migration tools you need an Exchange 2003 server installed first to get the Exchange Migration Wizard which allows you migrate from Novell GroupWise 6.5 or lower to Exchange. Read about it here.  There are 3rd party migration tools that work with Exchange 2010 as well.

The last scenario you may need an earlier version of Exchange would be if you want to have Interorg free/busy calendar and public folder replication information shared between multiple Exchange organizations.  You can use the IOREPL tool for this. Grab it here or read about it here.

 

What if I need to install Exchange 2007 server, can I do that after I install Exchange 2010?

Answer: Yes, but only if you had installed Exchange 2007 prior to Exchange 2010.

What if I need to install Exchange 2003 server, can I do that after I install Exchange 2010?

Answer: Yes, but only if you had installed Exchange 2003 prior to Exchange 2010.

What if I need to install Exchange 2007, can I do that if I have upgraded from Exchange 2003 directly to Exchange 2010?

Answer: No, you must have installed 2003, 2007 and then Exchange 2010 in that order.

 

Is there a tool I can use to help me with my Exchange 2010 installation?

Answer: Yes, check out this  Exchange 2010 deployment assistant before you upgrade to Exchange Server 2010 here.

image

 

Does Blackberry Enterprise Server work with Exchange 2010?

Answer: Yes, Be sure to install the brand new Exchange Server 2010 RollUp1 here in conjunction with the new BES 5.0.1 MR1 update along with MAPI 6.5.8147 – it has a patch to allow for BlackBerry Enterprise Server to fully support Exchange 2010. Rollup 1 has a few CAS and OWA patches as well.